﻿
.scan-input-box > svg.scan-icon {
    top: 16px;
    z-index: 2;
}

.scan-bar {
    position: relative;
}

button.scan-camera-btn {
    right: 24px !important;
    height: 41px !important;
    line-height: 41px !important;
    width: 41px !important;
    border-radius: 0 15px 15px 0 !important;
    top: 25px;
    z-index: 2;
    right: 0;
    position: absolute;
}

.modal-overlay {
    padding-left: 10px;
    padding-right: 10px;
}

.stock-reservation-card {
    padding: 12px;
}

.order-summary .summary-item {
    border-bottom: none !important;
}

.status-badge.clickable .edit-icon {
    opacity: 1 !important;
}

.header-right .btn.btn-secondary > svg {
    width: 16px !important;
}

@media (max-width: 480px) {
    .auth-right {
        padding-top: 21px !important;
    }

    .auth-mobile-logo {
        margin-bottom: 18px !important;
    }

    .auth-footer {
        margin-top: 10px !important;
    }

    .record-count-badge {
        display: block !important;
    }

    .filter-bar {
        flex-wrap: wrap !important;
    }

    .filter-tabs-container {
        overflow: visible !important;
        position: relative;
    }

        .filter-tabs-container .filter-tabs {
            display: inline-block !important;
            width: 100% !important;
            padding: 6px 10px 10px 10px !important;
        }

            .filter-tabs-container .filter-tabs .filter-tab {
                display: block !important;
                vertical-align: top !important;
                width: 49%;
                margin: 4px 0 0 1% !important;
                float: left !important;
                text-align: left !important;
                background-color: var(--bg-card);
            }

    .filter-bar {
        margin-bottom: 15px !important;
    }

    .order-actions-menu {
        right: inherit !important;
        left: 0 !important;
    }

    .filter-bar {
        padding: 0 !important;
        border: none !important;
        flex-grow: 1 !important;
        flex-direction: row !important;
    }

    .filter-bar-search {
        width: auto !important;
        flex-basis: fit-content !important;
        max-width: none !important;
        flex: 1;
    }

    .saved-filters {
        width: auto !important;
        flex-basis: fit-content !important;
        flex: 1;
    }

        .saved-filters > button.saved-filters-trigger {
            width: 100% !important;
        }

    .modal-footer-actions button.btn.btn-ghost {
        margin-right: 10px;
    }


    .page-header-actions:has(.order-actions-dropdown),
    .page-header-actions .order-actions-dropdown,
    .page-header-actions .order-actions-dropdown > button, .page-header-actions {
        width: 100% !important;
    }

    .page-header-actions {
        grid-template-columns: unset !important;
    }

    .filter-editor-section-header.is-sticky {
        top: -14px !important;
    }

    .page-header-actions .order-actions-dropdown > button {
        justify-content: center !important;
    }

    .dashboard, .detail-content {
        padding-bottom: 0 !important;
    }

    .page-container {
        padding-bottom: 15px !important;
    }

    .bulk-action-menu {
        margin-left: 0 !important;
        margin-right: 0 !important;
        left: 0 !important;
        right: 0 !important;
        width: 100% !important;
        max-width: 100% !important;
    }


    .bulk-action-dropdown {
        position: static !important;
    }



    .record-count-badge > svg {
        vertical-align: top !important;
    }

    .order-marketplace-badge {
        vertical-align: top !important;
        text-align: center !important;
        line-height: 48px !important;
    }

    .forward-btn {
        display: inline-block !important;
    }

    .header-right .btn.btn-secondary {
        position: absolute !important;
        left: inherit !important;
        right: 51px !important;
        top: 45px !important;
        padding: 0 !important;
        border-radius: 0 !important;
        border: none !important;
        box-shadow: none !important;
        height: auto !important;
        width: auto !important;
        background: transparent !important;
    }

    .header-right {
        position: static;
    }

    .order-header-text > p > u {
        color: var(--text-primary) !important;
        vertical-align: top !important;
        line-height: 12px !important;
    }

    .detail-header .forward-btn {
        margin-left: 0 !important;
    }

    .order-header-info {
        flex-direction: column;
    }

    .order-actions-menu, .bulk-action-menu {
        background-color: var(--bg-secondary) !important;
    }


    .order-marketplace-badge {
        vertical-align: top !important;
        text-align: center !important;
        line-height: 48px !important;
    }

    .forward-btn {
        display: inline-block !important;
    }

    .header-right .btn.btn-secondary {
        position: absolute !important;
        left: inherit !important;
        right: 54px !important;
        top: 36px !important;
    }

    .header-right {
        position: static;
    }

    .order-header-text {
        width: 100%;
    }

        .order-header-text > h1 {
            width: 100%;
            justify-content: space-between;
        }


    button.btn.btn-secondary > .label-print {
        font-size: 12px;
        padding-left: 5px;
        margin-right: 5px;
    }

    .header-right .btn.btn-secondary > svg {
        height: auto !important;
        width: 12px !important;
    }

    .order-header-text p {
        line-height: 12px !important;
        font-size: 11px !important;
    }


    .order-summary {
        justify-content: space-between !important;
    }

        .order-summary > span.status-badge.large.clickable {
            width: 100% !important;
            text-align: center !important;
            justify-content: center !important;
            padding: 11px 0 !important;
            font-size: 13px !important;
            border-radius: 8px !important;
        }

    .detail-grid .order-summary {
        padding: 0 !important;
    }

    .order-summary > span.order-type-badge.large.retail, .order-summary > span.order-source-badge.large.marketplace {
        width: 50% !important;
        margin: 0 -1px !important;
        padding: 7px 0 !important;
        text-align: center !important;
        justify-content: center !important;
    }

    .products-list .product-info .product-identifiers .identifier-row {
        flex-direction: column;
        gap: 5px !important;
        padding-bottom: 3px;
    }

    .product-item {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .products-list .product-right-top {
        right: 0 !important;
        top: 13px !important;
    }

    .products-list .product-side {
        padding-top: 0 !important;
    }

    .products-list .product-meta {
        padding-top: 3px !important;
    }

    .product-info p {
        vertical-align: top;
    }

    .left-column > .card:last-child > .card-body {
        padding-left: 0 !important;
        padding-right: 0 !important;
        padding-bottom: 0 !important;
    }

    .card.card-erp .card-body {
        padding: 15px 0 0 0 !important;
    }

    .card.delivery-countdown-card {
        padding: 0 !important;
    }

    .countdown-content {
        padding: 15px !important;
    }

    .card.card-customer .card-body {
        padding: 15px 0 0 0 !important;
    }

    .customer-card {
        margin-bottom: 15px !important;
    }

    .card.card-cat-info .card-body {
        padding: 15px 0 0 0 !important;
    }

    .card.card-cat-info .shipping-card {
        margin-bottom: 15px !important;
    }

    .card.card-payment .card-body {
        padding: 15px 0 0 0 !important;
    }

    .app-container .detail-content {
        padding-bottom: 0 !important;
    }

    .card.card-order-note .card-body {
        padding: 15px 0 0 0 !important;
    }


    .stock-movements-page {
        padding: 15px !important;
    }

    .stock-movements-page {
        padding-bottom: 0 !important;
    }

    .product-strip {
        padding: 15px !important;
    }

    .stock-movements-page .scan-bar {
        padding: 0;
        box-shadow: none !important;
        border: none !important;
    }

    .scan-input-box {
        width: 100%;
    }

    .product-strip {
        flex-grow: 1 !important;
        display: flex !important;
        flex-direction: column !important;
        padding-top: 10px !important;
        padding-bottom: 10px !important;
        gap: 10px !important;
    }

    button.scan-clear {
        right: 53px !important;
        top: 1px !important;
        height: 52px;
        line-height: 52px;
        width: 52px;
        text-align: center !important;
        align-items: center;
        justify-content: center;
        background-color: transparent !important;
        z-index: 2;
    }

    input.scan-input {
        z-index: 1;
        position: relative;
    }

    .product-strip .product-name {
        border-bottom: 1px solid var(--border);
        padding-bottom: 10px;
        line-height: 28px;
        margin-bottom: 10px;
    }

    .product-strip .product-meta {
        clear: both;
        gap: 10px;
    }

    .product-strip .product-info {
        clear: both;
        width: 100%;
        border-bottom: 1px solid var(--border);
        padding-bottom: 9px;
    }

    .product-strip .total-qty-card {
        width: 100%;
        display: flex;
        justify-content: space-between;
        gap: 0 !important;
        vertical-align: top !important;
        padding: 10px !important;
    }

        .product-strip .total-qty-card .total-qty-value {
            background-color: var(--bg-secondary) !important;
            color: #2d6eef;
            width: auto;
            margin: 0 !important;
            border-radius: 4px;
            padding: 0 5px;
            font-weight: 400 !important;
        }

    .total-qty-label {
        vertical-align: top;
        line-height: 40px;
        font-weight: 700;
        letter-spacing: 1px !important;
        padding-left: 5px;
        line-height: 40px;
        font-size: 14px !important;
    }

    .product-strip .product-meta .meta-item {
        color: var(--text-primary) !important;
        font-weight: 600 !important;
        letter-spacing: 1px;
    }

        .product-strip .product-meta .meta-item strong {
            font-weight: 400 !important;
        }

    .cls-wmspro-locations span.path-badge, .cls-wmspro-locations span.barcode-text, .cls-wmspro-locations span.type-text, .cls-wmspro-warehouses span.code-badge, .cls-wmspro-warehouses td {
        white-space: nowrap !important;
    }

    .filters-card {
        margin-bottom: 15px !important;
    }

    .page-content {
        overflow: visible !important;
        height: auto !important;
    }

    .qp-page {
        padding: 12px !important;
        gap: 12px !important;
    }

    .qp-step.active {
        min-height: auto !important;
    }

    .scan-input-wrapper {
        max-width: none !important;
    }

    button.qp-camera-btn {
        position: absolute;
        right: 1px;
        top: 2px;
        z-index: 2;
        border-radius: 0 8px 8px 0 !important;
        height: 42px !important;
        border-top: none !important;
        border-bottom: none !important;
    }

    .qp-scan-row {
        position: relative;
    }

    .qp-steps > .qp-step {
        padding: 10px !important;
        gap: 8px !important;
    }

    .filter-tabs-container .filter-tabs .filter-tab.active {
        background: var(--primary);
    }

    .filter-tabs-container .filter-tabs button.filter-tab.filter-tab-cancelled {
        width: 49% !important;
    }

    .pagination-buttons button.btn.btn-sm {
        padding-left: 8px !important;
        padding-right: 8px !important;
    }

    .pagination-container {
        padding: 0 0 10px;
        border-top: none !important;
    }

    .pagination-left {
        gap: 8px !important;
        flex-direction: column !important;
        padding: 9px 15px 0 15px !important;
        width: 100%;
    }

    .pagination-info {
        border: 1px solid var(--border);
        background-color: var(--bg-input);
        padding: 5px;
        border-radius: 8px;
        width: 100%;
        text-align: center;
    }

    .pagination-buttons {
        margin-bottom: 8px;
    }

        .pagination-buttons .btn.active {
            color: #000;
        }

    .page-products .filter-bar {
        position: relative !important;
        background-color: transparent !important;
    }

        .page-products .filter-bar .filter-bar-left {
            padding-right: 90px;
        }

        .page-products .filter-bar button.filter-btn {
            position: absolute !important;
            right: 0;
            top: -40px;
            z-index: 2;
        }

        .page-products .filter-bar .filter-bar-right {
            width: 100%;
            gap: 10px;
            position: relative;
        }

    .page-wms_picking-packing .page-header-actions .dropdown-container.header-actions-dropdown,
    .page-wms_picking-packing .page-header-actions .dropdown-container.header-actions-dropdown > button.header-actions-trigger {
        width: 100% !important;
    }

        .page-wms_picking-packing .page-header-actions .dropdown-container.header-actions-dropdown > button.header-actions-trigger {
            justify-content: center !important;
        }

    .page-wms_picking-packing .saved-filters-dropdown {
        max-width: 100% !important;
        min-width: 100% !important;
    }

    .page-wms_picking-packing .saved-filters {
        position: static !important;
    }

    .page-wms_picking-packing .filter-tabs-container .filter-tabs button.filter-tab.bundle-only-tab {
        position: absolute !important;
        right: inherit !important;
        top: 4px;
        left: 50%;
        width: auto;
        white-space: nowrap;
        z-index: 2;
    }

    .page-wms_picking-packing .filter-tabs-container .filter-tabs .filter-tab.filter-tab-active {
        clear: both !important;
    }

    .page-wms_picking-packing .filter-bar-right button.clear-filters-btn {
        position: absolute;
        right: 0;
        top: -12px;
    }

    .page-wms_picking-packing .filter-tabs-container .filter-tabs button.filter-tab.bundle-only-tab.active {
        color: var(--text-primary);
        background-color: transparent !important;
    }

    .page-wms_picking-packing .filter-bar.filter-bar-active > .filter-bar-left {
        padding-right: 130px;
    }

    .page-wms_picking-packing .filter-bar.filter-bar-active button.filter-btn {
        right: 10px !important;
        top: -44px;
    }

    .page-wms_picking-packing .filter-bar.filter-bar-active button.clear-filters-btn {
        top: 2px;
        right: 100px;
        z-index: 3;
    }

    .page-wms_picking-packing .stats-grid {
        grid-template-columns: 1fr 1fr !important;
    }

    .page-wms_picking-packing .autopack-alert-banner {
        flex-direction: column !important;
        align-items: flex-end;
        padding: 10px 15px !important;
        text-align: justify !important;
        gap: 5px !important;
        margin: 0 !important;
        border-radius: 0 !important;
        border: none !important;
    }

    .page-wms_picking-packing .autopack-alert-content {
        line-height: 20px !important;
    }

    .page-wms_picking-packing a.autopack-alert-button {
        align-items: center !important;
        border-radius: 8px !important;
    }

    .page-wms_picking-packing .autopack-alert-content > svg {
        display: none !important;
    }

    .page-wms_picking-packing .page-container {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .page-wms_picking-packing .page-header.sticky {
        padding-left: 8px !important;
        padding-right: 8px !important;
        margin-left: 0px !important;
        margin-right: 0 !important;
    }

    .page-wms_picking-packing .page-header.sticky {
        margin-bottom: 0 !important;
    }

    .page-wms_picking-packing .stats-grid.stats-grid-picking-packing.stats-grid-picking {
        gap: 0 !important;
        margin-top: -1px;
    }

    .page-wms_picking-packing .stat-card {
        border-radius: 0 !important;
        padding: 5px 5px 5px 5px !important;
        border: none !important;
        border-top: 1px solid #eee !important;
        border-left: 1px solid #eee !important;
    }

        .page-wms_picking-packing .stat-card h3 {
            margin-top: 2px;
            height: 17px;
            line-height: 17px;
        }

    .page-wms_picking-packing .page-container.page-wms_picking-packing {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

    .page-wms_picking-packing .page-wms_picking-packing .stats-grid {
        margin: 0 !important;
        gap: 0 !important;
    }

    .page-wms_picking-packing .stats-grid.stats-grid-tools {
        flex-direction: column !important;
        display: flex !important;
    }

    .page-wms_picking-packing .autopack-alert-banner a {
        display: none !important;
    }

    .page-wms_picking-packing .wms-quick-box.is-on {
        display: none !important;
    }

    .page-wms_picking-packing .stat-card.stats-card-r .wms-quick-box {
        flex: 1 !important;
        padding-left: 5px !important;
        border-right: none !important;
    }

    .page-wms_picking-packing .autopack-alert-banner .alert-text {
        font-size: 12px !important;
        letter-spacing: 1px !important;
    }

    .page-wms_picking-packing .filter-tabs-container, .filter-tabs-container > .filter-tabs {
        border-radius: 0 !important;
        gap: 4px !important;
    }

    .page-wms_picking-packing .stat-card.stats-card-r .wms-quick-box:first-child {
        border-right: 1px solid #e8eaea !important;
    }

    .page-wms_picking-packing .filter-tabs-container .filter-tabs {
        padding-left: 5px !important;
    }

        .page-wms_picking-packing .filter-tabs-container .filter-tabs > button.filter-tab * {
            vertical-align: top;
        }

        .page-wms_picking-packing .filter-tabs-container .filter-tabs > button.filter-tab {
            padding-top: 10px;
            padding-bottom: 10px;
            justify-content: space-between !important;
            display: flex !important;
        }

            .page-wms_picking-packing .filter-tabs-container .filter-tabs > button.filter-tab svg {
                display: none !important;
            }

    .page-wms_picking-packing .filter-tabs-right button {
        width: 50% !important;
    }

    .page-wms_picking-packing .filter-tabs-right {
        grid-template-columns: 1fr 1fr !important;
        display: grid !important;
        padding-left: 2px !important;
        padding-right: 2px !important;
    }

        .page-wms_picking-packing .filter-tabs-right .filter-tab {
            width: 100% !important;
            justify-content: space-between !important;
            background-color: var(--bg-card);
        }

    .page-wms_picking-packing .scan-search-left {
        position: relative;
    }

        .page-wms_picking-packing .scan-search-left button.scan-camera-btn {
            height: 41px !important;
            z-index: 3 !important;
            right: 0 !important;
            top: 0 !important;
            position: absolute;
            width: 41px !important;
            line-height: 41px !important;
            border-radius: 0 15px 15px 0 !important;
        }


    .page-wms_picking-packing .page-header-actions {
        grid-template-columns: 1fr 1fr !important;
    }

        .page-header-actions > .filter-button-wrapper,
        .page-wms_picking-packing .page-header-actions > .filter-button-wrapper > button {
            width: 100% !important;
        }

    .page-container.page-wms_picking-packing {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }

        .page-container.page-wms_picking-packing .stats-grid.stats-grid-tools {
            gap: 0 !important;
            margin-bottom: 0 !important;
        }

        .page-container.page-wms_picking-packing .stats-grid {
            margin-bottom: 0 !important;
        }

    .page-wms_picking-packing .filter-tabs-right .filter-tab.active {
        background: var(--primary) !important;
        color: white !important;
    }

    .scan-search-left {
        position: relative;
    }
}
